matrix:
  platform:
    - debian11
    - ubuntu2204
  bazel:
    - 7.x
    - 8.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--cxxopt=-std=c++17'
    build_targets:
      - '@open62541pp//:open62541pp'

bcr_test_module:
  module_path: "."
  matrix:
    platform:
      - debian11
      - ubuntu2204
    bazel:
      - 7.x
      - 8.x
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
        - '--cxxopt=-std=c++17'
      build_targets:
        - '//...'
      test_flags:
        - '--cxxopt=-std=c++17'
      test_targets:
        - '//...'
